<mat-card>
  <mat-card-content>
    <div class="container">
      <p class="title">SỬA SÂN BÓNG</p>
      <form class="formGroup" [formGroup]="editForm">
        <div class="form-group">
          <mat-form-field class="full-width">
            <mat-label>Name</mat-label>
            <input matInput placeholder="Tên" value="{{pitchEdit.name}}" formControlName="name">
          </mat-form-field>
        </div><br>

        <div class="form-group address">
          <mat-form-field class="full-width">
            <mat-label>Address</mat-label>
            <input matInput placeholder="Address" value="{{pitchEdit.address}}" formControlName="address">
          </mat-form-field>
        </div><br>

        <div class="form-group">
          <mat-form-field class="full-width">
            <mat-label>Banner</mat-label>
            <input matInput placeholder="Banner" value="{{pitchEdit.banner}}" formControlName="banner">
          </mat-form-field>
        </div><br>

        <div class="form-group">
          <mat-form-field class="full-width">
            <mat-label>Phone Number</mat-label>
            <input matInput placeholder="Phone Number" value="{{pitchEdit.phoneNumber}}" formControlName="phoneNumber">
          </mat-form-field>
        </div><br>
        <!-- 
          <div class="form-group">
            <mat-form-field class="full-width">
              <mat-label>Type</mat-label>
              <input matInput type="text" formControlName="type">
            </mat-form-field>
          </div> -->
        <!-- *ngFor="let data1 of Data; let i=index" -->
        <div class="form-group">
          <section class="section">
            <!-- <mat-checkbox class="ckbox" [checked] ="false" [value]="data1.value" (change)="onCheckboxChange($event)">
                {{data1.des}}
              </mat-checkbox>  -->
            <mat-checkbox formControlName="type1" [checked]="false" class="ckbox">Sân 5</mat-checkbox>
            <mat-checkbox formControlName="type2" [checked]="false" class="ckbox" value="{{pitchEdit.type2}}">Sân 7
            </mat-checkbox>
            <mat-checkbox formControlName="type3" class="ckbox">Sân 10</mat-checkbox>
          </section>
        </div>

        <button mat-raised-button color="primary" routerLink="/center" class="btn btnEdit1" (click)="Edit()"
          type="submit" value="Submit">
          Save</button>
        <button mat-raised-button class="btn" (click)="openDialog()">Delete</button>
        <button mat-raised-button routerLink="/center" class="btn">Back</button>
      </form>





    </div>
  </mat-card-content>
</mat-card>
<!-- {{editForm.value | json}} -->
<!-- 
<mat-card>
    <mat-card-content>
        <div class="container">
            <p class="title">SỬA SÂN BÓNG</p>
            
          
            <img src="{{pitchEdit.banner}}" alt="banner">
            <div class="info">
                <h3>{{pitchEdit.name}}</h3>
                <mat-icon class="icon">location_on</mat-icon>
                <p class="in4">{{pitchEdit.address}}</p><br>
                <mat-icon class="icon"> call</mat-icon>
                <p class="in4">{{pitchEdit.phoneNumber}}</p><br>
                <mat-icon class="icon"> nfc</mat-icon>
                <p class="in4">{{pitchEdit.type}}</p><br>
                 <mat-icon class="icon"> money</mat-icon>
        <p class="in4">111111111111111</p> -->
<!-- </div>
            <button mat-raised-button color="primary" class="btn btnEdit1">Save</button>
            <button mat-raised-button routerLink="/center" class="btn">Back</button>
        </div>

    </mat-card-content>
</mat-card>  -->